org.codehaus.plexus.util.cli

## Class CommandLineTimeOutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.util.cli.CommandLineException
      - - org.codehaus.plexus.util.cli.CommandLineTimeOutException

All Implemented Interfaces:
  java.io.Serializable

    public class CommandLineTimeOutException
    extends CommandLineException

Since:
  1.5.9
Version:
  $Id: CommandLineTimeOutException.java 8153 2009-04-25 22:07:51Z olamy $
Author:
  olamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CommandLineTimeOutException(java.lang.String message)`
`CommandLineTimeOutException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CommandLineTimeOutException

    public CommandLineTimeOutException(java.lang.String message)

Parameters:
  `message` -

#### CommandLineTimeOutException

    public CommandLineTimeOutException(java.lang.String message,
                               java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -